#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: auto-update
version: 0.1.0.0
id: auto-update-0.1.0.0-a0da9f1f708b964ae4938f3bf55937f7

license: MIT
copyright:
maintainer: michael@snoyman.com
stability:
homepage: https://github.com/yesodweb/wai
package-url:
synopsis: Efficiently run periodic, on-demand actions
description: A common problem is the desire to have an action run at a scheduled interval, but only if it is needed. For example, instead of having every web request result in a new @getCurrentTime@ call, we'\''d like to have a single worker thread run every second, updating an @IORef@. However, if the request frequency is less than once per second, this is a pessimization, and worse, kills idle GC.
             .
             This library allows you to define actions which will either be performed by a dedicated thread or, in times of low volume, will be executed by the calling thread.
category: Control
author: Michael Snoyman
exposed: True
exposed-modules: Control.AutoUpdate
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/auto-update-0.1.0.0
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/auto-update-0.1.0.0
              /usr/local/lib
hs-libraries: HSauto-update-0.1.0.0
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/auto-update-0.1.0.0/html/auto-update.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/auto-update-0.1.0.0/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
